import { z } from "zod"

export const locationHotelSchema = z.object({
  attributes: z.object({
    distanceToCentre: z.number().optional(),
    images: z
      .object({
        large: z.string().optional(),
        medium: z.string().optional(),
        small: z.string().optional(),
        tiny: z.string().optional(),
      })
      .optional(),
    isActive: z.boolean(),
    isPublished: z.boolean(),
    keyWords: z.array(z.string()).optional(),
    name: z.string().optional().default(""),
    operaId: z.coerce.string().optional(),
  }),
  id: z.string().optional().default(""),
  relationships: z
    .object({
      city: z
        .object({
          links: z
            .object({
              related: z.string().optional(),
            })
            .optional(),
        })
        .optional(),
    })
    .optional(),
  type: z.literal("hotels"),
})
